Rated 5 out of 5 stars

I am using Firefox 3.6, and my Nuke Anything Enhanced 1.0.2 add-on is working great.